Subject: bug#40583: guix-system-install-1.0.1.i686 fails to build amdgpu

From: ryan <[email-masked]>
Date: Sun, 19 Apr 2020 15:25:26 -0400

Ludo',

During the install process after selecting "wifi" there would be a 
prompt saying "Connecting to 'hostname', please wait" and just seemed to 
hang.  Below are selection:
     local: english
     territory: United States
     graphical installer using a terminal based interface
     america
     New_York
     English (US)
     English (US)
     enter "hostname"
     select wifi
     select network
     - prompt "Connecting to 'hostname', please wait" (never prompts for 
password)
     - switch virtual terminals (saved dmesg, guix version, and copied 
messages file [attached])

Note, wifi was working after I installed guix with ethernet cable.  In 
the next week or so I'll try to download 1.1 and see if issue has been 
resolved.

Thanks,
Ryan

On 4/17/20 4:23 AM, Ludovic Courtès wrote:
> Hi Ryan,
>
> Ryan Desfosses <[email-masked]> skribis:
>
>> I was able to install 1.1.orc2.5 last night.  I didn't have the noise that
>> the previous version had, but I did have to plug in the ethernet cable
>> since I wasn't able to connect to wifi during the install.
> OK.  Why exactly weren’t you able to connect to WiFi?  Did you get an
> error message or something?
>
>> Also, the same messages I sent in the previous email were still present.  I
>> haven't had time to really test the system yet, but I was able to restart
>> the machine and log in.
> Messages from the kernel like:
>
>    [   27.510600] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
>
> are probably “OK”.
>
> Thanks,
> Ludo’.